gh(1)

NAME

gh-pr-create - Create a pull request

SYNOPSIS

gh pr create [flags]

DESCRIPTION

Create a pull request on GitHub.

When the current branch isn't fully pushed to a git remote, a prompt will ask where to push the branch and offer an option to fork the base repository. Use '--head' to explicitly skip any forking or pushing behavior.

A prompt will also ask for the title and the body of the pull request. Use '--title' and '--body' to skip this, or use '--fill' to autofill these values from git commits.

OPTIONS

-a, --assignee=[]
    Assign people by their login

-B, --base=""
    The branch into which you want your code merged

-b, --body=""
    Body for the pull request

-d, --draft[=false]
    Mark pull request as a draft

-f, --fill[=false]
    Do not prompt for title/body and just use commit info

-H, --head=""
    The branch that contains commits for your pull request (default: current branch)

-l, --label=[]
    Add labels by name

-m, --milestone=""
    Add the pull request to a milestone by name

-p, --project=[]
    Add the pull request to projects by name

-r, --reviewer=[]
    Request reviews from people by their login

-t, --title=""
    Title for the pull request

-w, --web[=false]
    Open the web browser to create a pull request

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    $ gh pr create --title "The bug is fixed" --body "Everything works again"
    $ gh pr create --reviewer monalisa,hubot
    $ gh pr create --project "Roadmap"
    $ gh pr create --base develop --head monalisa:feature

SEE ALSO

gh-pr(1)